Name:           flxmlrpc
Version:        1.0.1
Release:    1%{?dist}
Summary:        An xmlrpc library for the NBEMS suite of programs

License:        LGPLv3+
URL:            http://www.w1hkj.com
Source0:        http://www.w1hkj.com/xmlrpc-mods/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake libtool
BuildRequires:  gcc-c++
BuildRequires:  make

%description
This is version %{version} of flxmlrpc, an implementation of the XmlRpc protocol
written in C++, based upon XmlRpc++0.7 and modified to provide additional XmlRpc
Variable types.  It is used in fldigi, flrig, flnet, flmsg, flarq, flamp, fllog;
a suite of programs written for amateur radio emergency communications.

flxmlrpc is designed to make it easy to incorporate xmlrpc client and server
support into C++ applications. Or use both client and server objects in your 
application for easy peer-to-peer support.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
if [ ! -f configure ]
then autoreconf -fi
fi
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot}%{_libdir} -name "*.la" -exec rm -f {} \;




%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
